## org.hibernate.envers.configuration.metadata
Class EntityXmlMappingData

    java.lang.Object
      org.hibernate.envers.configuration.metadata.EntityXmlMappingData

    public class EntityXmlMappingData

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`EntityXmlMappingData()`

Method Summary
`List<org.dom4j.Document>` `getAdditionalXmlMappings()`
`org.dom4j.Element` `getClassMapping()`
`org.dom4j.Document` `getMainXmlMapping()`
`org.dom4j.Document` `newAdditionalMapping()`
`void` `setClassMapping(org.dom4j.Element classMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityXmlMappingData

    public EntityXmlMappingData()

Method Detail

### getMainXmlMapping

    public org.dom4j.Document getMainXmlMapping()

### getAdditionalXmlMappings

    public List<org.dom4j.Document> getAdditionalXmlMappings()

### newAdditionalMapping

    public org.dom4j.Document newAdditionalMapping()

### getClassMapping

    public org.dom4j.Element getClassMapping()

### setClassMapping

    public void setClassMapping(org.dom4j.Element classMapping)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.